

			<!-- single-project section -->
			<section class="single-project-section">
				<div class="container-fluid">
					<div class="row">
						<div class="col-md-6">
							<?php 
							    $gallery = get_post_meta(get_the_ID(), '_photofolio_pgallery', true);
							?>
							<?php if(count($gallery)>0 and $gallery!=''){ ?>
							<div class="flexslider">
								<ul class="slides">
									<?php foreach($gallery as $img) {?>
									<li><img src="<?php echo esc_attr($img); ?>" alt="<?php the_title(); ?>" class="img-responsive"/></li>
									<?php } ?>
								</ul>
							</div>
							<?php } ?>
						</div>
						<div class="col-md-4">
							<div class="single-content second-style">
								<div class="title-post">
									<h1><?php the_title();?></h1>
									<?php echo get_the_term_list( get_the_ID(), 'portfolio_tag', '<ul class="project-tags"><li>', ',</li><li>', '</li></ul>' );?>
									<?php if( function_exists('get_simple_likes_button') ) echo get_simple_likes_button(get_the_ID());?>
								</div>

								<?php the_content(); ?>
								<div class="share-box">
									<div class="row">
										<div class="col-md-6">
											<span><?php esc_html_e('Share','photofolio');?>:</span>
											<?php if(get_post_meta(get_the_ID(), '_photofolio_date', true)!=''){ ?>
											<p><?php esc_html_e('Completed Project','photofolio');?>: <?php echo get_post_meta(get_the_ID(), '_photofolio_date', true); ?></p>
											<?php } ?>
										</div>
										<div class="col-md-6">
											<ul class="social-icons">
												<li><a class="facebook" onclick="window.open('http://www.facebook.com/sharer.php?u=<?php the_permalink(); ?>','Facebook','width=600,height=300,left='+(screen.availWidth/2-300)+',top='+(screen.availHeight/2-150)+''); return false;" href="http://www.facebook.com/sharer.php?u=<?php the_permalink(); ?>"><i class="fa fa-facebook"></i></a></li>
												<li><a class="twitter" onclick="window.open('http://twitter.com/share?url=<?php the_permalink(); ?>&amp;text=<?php echo str_replace(" ","%20",get_the_title()); ?>','Twitter share','width=600,height=300,left='+(screen.availWidth/2-300)+',top='+(screen.availHeight/2-150)+''); return false;" href="http://twitter.com/share?url=<?php the_permalink(); ?>&amp;text=<?php echo str_replace(" ","%20",get_the_title()); ?>"><i class="fa fa-twitter"></i></a></li>
												<li><a class="google" href="http://plus.google.com/share?url=<?php the_permalink(); ?>" onclick="window.open(this.href, 'mywin','left=50,top=50,width=600,height=350,toolbar=0'); return false;"><i class="fa fa-google-plus"></i></a></li>
												<li><a class="linkedin" onclick="window.open('http://www.linkedin.com/shareArticle?mini=true&amp;url=<?php the_permalink(); ?>','Linkedin','width=863,height=500,left='+(screen.availWidth/2-431)+',top='+(screen.availHeight/2-250)+''); return false;" href="http://www.linkedin.com/shareArticle?mini=true&amp;url=<?php the_permalink(); ?>"><i class="fa fa-linkedin"></i></a></li>
												<li><a href="#"><i class="fa fa-share-alt"></i></a></li>
											</ul>
										</div>
									</div>
								</div>
							</div>
							<div class="pag-page">
								<?php
					              $prev_post = get_adjacent_post(false, '', true);
					              $next_post = get_adjacent_post(false, '', false); 
					            ?>
					            <?php if($prev_post!=null){ ?>
								<a class="prev-project" title="<?php echo esc_attr($prev_post->post_title); ?>" href="<?php echo esc_url(get_permalink($prev_post->ID)); ?>"><i class="fa fa-angle-left"></i><?php esc_html_e('Prev Project','photofolio'); ?></a>
								<?php } ?>
								<?php if($next_post!=null){ ?>
								<a class="next-project" title="<?php echo esc_attr($next_post->post_title); ?>" href="<?php echo esc_url(get_permalink($next_post->ID)); ?>"><?php esc_html_e('Next Project','photofolio'); ?><i class="fa fa-angle-right"></i></a>
								<?php } ?>
							</div>
						</div>
					</div>
				</div>
			</section>
			<!-- End single-project section -->
