<?php 


$categories = get_terms('category' , 'hide_empty=0');
$category_option = array();
$category_option['All'] = 'all';
foreach ($categories as $category) {

if ( is_rtl() ) {
  $category_option[$category->name] = $category->term_id;
}else{ 
  $category_option[$category->name] = $category->slug;
}

}

vc_map( array(
   "name" => esc_html__("QK Title","photofolio"),
   "base" => "qk_title",
   "class" => "",
   "category" => esc_html__("Content", "photofolio"),
   "icon" => "icon-qk",
   "params" => array(
    
      array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Title","photofolio"),
         "param_name" => "title",
         "value" => "",
         "description" => 'Your Title'
      ), array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Sub Title","photofolio"),
         "param_name" => "sub_title",
         "value" => "",
         "description" => 'Your Sub Title'
      ), array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Custom Class","photofolio"),
         "param_name" => "css",
         "value" => "",
         "description" => 'Example "white"'
      )
   )
) );

class WPBakeryShortCode_qk_title extends WPBakeryShortCode {}


vc_map( array(
   "name" => esc_html__("QK Button","photofolio"),
   "base" => "qk_button",
   "class" => "",
   "category" => esc_html__("Content", "photofolio"),
   "icon" => "icon-qk",
   "params" => array(
    
      array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Button Text","photofolio"),
         "param_name" => "title",
         "value" => "",
         "description" => ''
      ), array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Button Link","photofolio"),
         "param_name" => "link",
         "value" => "",
         "description" => ''
      ), array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Custom Class","photofolio"),
         "param_name" => "css",
         "value" => "",
         "description" => 'Example "white"'
      )
   )
) );

class WPBakeryShortCode_qk_button extends WPBakeryShortCode {}

vc_map( array(
   "name" => esc_html__("QK Posts Standard","photofolio"),
   "base" => "qk_posts_list",
   "class" => "",
   "category" => esc_html__("QK Elememts", "photofolio"),
   "content_unique" => true,  
   "params" => array(
   
     array(
        "type" => "dropdown",
        "holder" => "div",
        "class" => "",
        "heading" => esc_html__("Select Category","photofolio"),
        "param_name" => "cat",
        "value" => $category_option,
        "description" => ''
      ),
      array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Number Posts","photofolio"),
         "param_name" => "order",
         "value" => "",
         "description" => 'Example "4"'
      ),
      array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Post Offset","photofolio"),
         "param_name" => "offset",
         "value" => "",
         "description" => 'You want to list post from ... '
      ),array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Page pagination","photofolio"),
         "param_name" => "pagination",
         "value" => "",
         "description" => '"on" or "off" '
      ),array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Custom Class","photofolio"),
         "param_name" => "class",
         "value" => "",
         "description" => ''
      )
   )
) );


class WPBakeryShortCode_qk_posts_list extends WPBakeryShortCode {}

vc_map( array(
   "name" => esc_html__("QK Posts Grid","photofolio"),
   "base" => "qk_posts_grid",
   "class" => "",
   "category" => esc_html__("QK Elememts", "photofolio"),
   "content_unique" => true,  
   "params" => array(
   
     array(
        "type" => "dropdown",
        "holder" => "div",
        "class" => "",
        "heading" => esc_html__("Select Category","photofolio"),
        "param_name" => "cat",
        "value" => $category_option,
        "description" => ''
      ),
      array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Number Posts","photofolio"),
         "param_name" => "order",
         "value" => "",
         "description" => 'Example "4"'
      ),
      array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Post Offset","photofolio"),
         "param_name" => "offset",
         "value" => "",
         "description" => 'You want to list post from ... '
      ),array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Page pagination","photofolio"),
         "param_name" => "pagination",
         "value" => "",
         "description" => '"on" or "off" '
      ),array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Custom Class","photofolio"),
         "param_name" => "class",
         "value" => "",
         "description" => ''
      )
   )
) );


class WPBakeryShortCode_qk_posts_grid extends WPBakeryShortCode {}


vc_map( array(
   "name" => esc_html__("QK Posts Masonry","photofolio"),
   "base" => "qk_posts_masonry",
   "class" => "",
   "category" => esc_html__("QK Elememts", "photofolio"),
   "content_unique" => true,  
   "params" => array(
   
     array(
        "type" => "dropdown",
        "holder" => "div",
        "class" => "",
        "heading" => esc_html__("Select Category","photofolio"),
        "param_name" => "cat",
        "value" => $category_option,
        "description" => ''
      ),
      array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Number Posts","photofolio"),
         "param_name" => "order",
         "value" => "",
         "description" => 'Example "4"'
      ),
      array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Post Offset","photofolio"),
         "param_name" => "offset",
         "value" => "",
         "description" => 'You want to list post from ... '
      ),array(
          "type" => "dropdown",
          "class" => "",
          "heading" => esc_html__("Page pagination", 'photofolio'),
          "param_name" => "pagination",
          "value" => array(
            
            "On" => "on",
            "Off" => "off",
            "Ajax" => "ajax"
          ),
          "description" => ''
        ),array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Custom Class","photofolio"),
         "param_name" => "class",
         "value" => "",
         "description" => ''
      ),array(
          "type" => "dropdown",
          "class" => "",
          "heading" => esc_html__("Turn On/Off Filter", 'photofolio'),
          "param_name" => "filter",
          "value" => array(
            
            "On" => "on",
            "Off" => "off"
          ),
          "description" => ''
        )
   )
) );


class WPBakeryShortCode_qk_posts_masonry extends WPBakeryShortCode {}


vc_map( array(
   "name" => esc_html__("QK Posts Text","photofolio"),
   "base" => "qk_posts_text",
   "class" => "",
   "category" => esc_html__("QK Elememts", "photofolio"),
   "content_unique" => true,  
   "params" => array(
   
     array(
        "type" => "dropdown",
        "holder" => "div",
        "class" => "",
        "heading" => esc_html__("Select Category","photofolio"),
        "param_name" => "cat",
        "value" => $category_option,
        "description" => ''
      ),
      array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Number Posts","photofolio"),
         "param_name" => "order",
         "value" => "",
         "description" => 'Example "4"'
      ),
      array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Post Offset","photofolio"),
         "param_name" => "offset",
         "value" => "",
         "description" => 'You want to list post from ... '
      ),array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Page pagination","photofolio"),
         "param_name" => "pagination",
         "value" => "",
         "description" => '"on" or "off" '
      ),array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Custom Class","photofolio"),
         "param_name" => "class",
         "value" => "",
         "description" => ''
      )
   )
) );


class WPBakeryShortCode_qk_posts_text extends WPBakeryShortCode {}


vc_map( array(
   "name" => esc_html__("QK Posts Full","photofolio"),
   "base" => "qk_posts_full",
   "class" => "",
   "category" => esc_html__("QK Elememts", "photofolio"),
   "content_unique" => true,  
   "params" => array(
   
     array(
        "type" => "dropdown",
        "holder" => "div",
        "class" => "",
        "heading" => esc_html__("Select Category","photofolio"),
        "param_name" => "cat",
        "value" => $category_option,
        "description" => ''
      ),
      array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Number Posts","photofolio"),
         "param_name" => "order",
         "value" => "",
         "description" => 'Example "4"'
      ),
      array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Post Offset","photofolio"),
         "param_name" => "offset",
         "value" => "",
         "description" => 'You want to list post from ... '
      ),array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Page pagination","photofolio"),
         "param_name" => "pagination",
         "value" => "",
         "description" => '"on" or "off" '
      ),array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Custom Class","photofolio"),
         "param_name" => "class",
         "value" => "",
         "description" => ''
      )
   )
) );


class WPBakeryShortCode_qk_posts_full extends WPBakeryShortCode {}


vc_map( array(
   "name" => esc_html__("QK Posts Banner","photofolio"),
   "base" => "qk_posts_banner",
   "class" => "",
   "category" => esc_html__("QK Elememts", "photofolio"),
   "content_unique" => true,  
   "params" => array(
     array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Title","photofolio"),
         "param_name" => "title",
         "value" => "",
         "description" => ''
      ),
     array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Subtitle","photofolio"),
         "param_name" => "subtitle",
         "value" => "",
         "description" => 'Example "4"'
      ),
     array(
         "type" => "attach_image",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Banner Image","photofolio"),
         "param_name" => "image",
         "value" => "",
         "description" => ''
      ),
     array(
        "type" => "dropdown",
        "holder" => "div",
        "class" => "",
        "heading" => esc_html__("Select Category","photofolio"),
        "param_name" => "cat",
        "value" => $category_option,
        "description" => ''
      ),
      array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Number Posts","photofolio"),
         "param_name" => "order",
         "value" => "",
         "description" => 'Example "4"'
      ),
      array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Post Offset","photofolio"),
         "param_name" => "offset",
         "value" => "",
         "description" => 'You want to list post from ... '
      ),array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Page pagination","photofolio"),
         "param_name" => "pagination",
         "value" => "",
         "description" => '"on" or "off" '
      ),array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Custom Class","photofolio"),
         "param_name" => "class",
         "value" => "",
         "description" => ''
      )
   )
) );


class WPBakeryShortCode_qk_posts_banner extends WPBakeryShortCode {}



//Team
vc_map( array(
    "name" => esc_html__("QK About Me", "photofolio"),
    "base" => "qk_about_me",
    "as_parent" => array('only' => 'qk_circle_skill'), // Use only|except attributes to limit child shortcodes (separate multiple values with comma)
    "content_element" => true,
    "show_settings_on_create" => true,
    "params" => array(
        // add params same as with any other content photofolio
       array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Title","photofolio"),
         "param_name" => "title",
         "value" => "John Doe",
         "description" => ''
      ),
    
     array(
         "type"      => "attach_image",
         "holder"    => "div",
         "class"     => "",
         "heading"   => esc_html__("Banner", 'photofolio'),
         "param_name"=> "image",
         "value"     => "",
         "description" => esc_html__("Upload Banner Image", 'photofolio')
      ),array(
         "type"      => "attach_image",
         "holder"    => "div",
         "class"     => "",
         "heading"   => esc_html__("Your Sign", 'photofolio'),
         "param_name"=> "image2",
         "value"     => "",
         "description" => esc_html__("Upload Banner Sign Image", 'photofolio')
      ),
    array(
         "type" => "textarea_html",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Description ","photofolio"),
         "param_name" => "info",
         "value" => '',
         "description" => ''
      )
    
    ),
    "js_view" => 'VcColumnView'
) );

if ( class_exists( 'WPBakeryShortCodesContainer' ) ) {
    class WPBakeryShortCode_qk_about_me extends WPBakeryShortCodesContainer {
    }
}



vc_map( array(
   "name" => esc_html__("QK Circle Skill","photofolio"),
   "base" => "qk_circle_skill",
   "class" => "",
   "category" => esc_html__("Content", "photofolio"),
   "icon" => "icon-qk",
   "content_element" => true,
   "as_child" => array('only' => 'qk_team, qk_team2'),
   "params" => array(
   
      
    array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Title","photofolio"),
         "param_name" => "title",
         "value" => "",
         "description" => ''
      ),array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Level","photofolio"),
         "param_name" => "level",
         "value" => "",
         "description" => ''
      ),array(
         "type" => "colorpicker",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Cricle color","photofolio"),
         "param_name" => "color",
         "value" => "",
         "description" => ''
      )
   )
) );


class WPBakeryShortCode_qk_circle_skill extends WPBakeryShortCode {
}


vc_map( array(
   "name" => esc_html__("QK Statistic","photofolio"),
   "base" => "qk_statistic",
   "class" => "",
   "category" => esc_html__("Content", "photofolio"),
   "icon" => "icon-qk",
   "content_element" => true,
   "params" => array(
   
      
    array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Title","photofolio"),
         "param_name" => "title",
         "value" => "",
         "description" => ''
      ),array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Number","photofolio"),
         "param_name" => "level",
         "value" => "",
         "description" => ''
      )
   )
) );


class WPBakeryShortCode_qk_statistic extends WPBakeryShortCode {
}




vc_map( array(
   "name" => esc_html__("QK Service Block","photofolio"),
   "base" => "qk_service",
   "class" => "",
   "category" => esc_html__("Content", "photofolio"),
   "icon" => "icon-qk",
   "content_element" => true,
   "params" => array(
    array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Icon Name","photofolio"),
         "param_name" => "icon",
         "value" => "",
         "description" => 'You can find icon class name here: <a href="http://fontawesome.io/icons/" target="_blank">Fontawesome</a>'
      ),
    array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Number","photofolio"),
         "param_name" => "number",
         "value" => "",
         "description" => ''
      ),
    array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Title","photofolio"),
         "param_name" => "title",
         "value" => "",
         "description" => ''
      ),array(
         "type" => "textarea_html",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Content","photofolio"),
         "param_name" => "content",
         "value" => "",
         "description" => ''
      ),array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Custom Link","photofolio"),
         "param_name" => "link",
         "value" => "",
         "description" => ''
      ),array(
         "type" => "attach_image",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Banner Image","photofolio"),
         "param_name" => "image",
         "value" => "",
         "description" => ''
      ),
   )
) );


class WPBakeryShortCode_qk_service extends WPBakeryShortCode {
}




vc_map( array(
   "name" => esc_html__("QK Service Block2","photofolio"),
   "base" => "qk_service2",
   "class" => "",
   "category" => esc_html__("Content", "photofolio"),
   "icon" => "icon-qk",
   "content_element" => true,
   "params" => array(
   
    array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Icon Name","photofolio"),
         "param_name" => "icon",
         "value" => "",
         "description" => 'You can find icon class name here: <a href="http://fontawesome.io/icons/" target="_blank">Fontawesome</a>'
      ),
    array(
         "type" => "textarea",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Content","photofolio"),
         "param_name" => "content",
         "value" => "",
         "description" => ''
      ),array(
      "type" => "dropdown",
      "class" => "",
      "heading" => esc_html__("Content Align", 'photofolio'),
      "param_name" => "align",
      "value" => array(
        
        "Content at Left" => "left",
        "Content at Right" => "right"
      ),"description" => ''
    )
   )
) );


class WPBakeryShortCode_qk_service2 extends WPBakeryShortCode {
}



vc_map( array(
   "name" => esc_html__("QK Member","photofolio"),
   "base" => "qk_member",
   "class" => "",
   "category" => esc_html__("Content", "photofolio"),
   "icon" => "icon-qk",
   "content_element" => true,
   "params" => array(
   
    array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Name","photofolio"),
         "param_name" => "name",
         "value" => "",
         "description" => ''
      ),
    array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Job","photofolio"),
         "param_name" => "job",
         "value" => "",
         "description" => ''
      ),array(
         "type" => "attach_image",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Avatar","photofolio"),
         "param_name" => "image",
         "value" => "",
         "description" => ''
      )
   )
) );


class WPBakeryShortCode_qk_member extends WPBakeryShortCode {
}



vc_map( array(
   "name" => esc_html__("QK Client Block","photofolio"),
   "base" => "qk_client_block",
   "class" => "",
   "category" => esc_html__("Content", "photofolio"),
   "icon" => "icon-qk",
   "content_element" => true,
   "params" => array(
   
   array(
         "type" => "attach_image",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Client Logo","photofolio"),
         "param_name" => "image",
         "value" => "",
         "description" => ''
      ),
    array(
         "type" => "textarea_html",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Content","photofolio"),
         "param_name" => "content",
         "value" => "",
         "description" => ''
      )
   )
) );


class WPBakeryShortCode_qk_client_block extends WPBakeryShortCode {
}


//Clients
vc_map( array(
    "name" => esc_html__("QK Clients", "photofolio"),
    "base" => "qk_clients",
    "as_parent" => array('only' => 'qk_client'), // Use only|except attributes to limit child shortcodes (separate multiple values with comma)
    "content_photofolio" => true,
    "show_settings_on_create" => false,
    "params" => array(
        // add params same as with any other content photofolio
        array(
            "type" => "textfield",
            "heading" => esc_html__("Extra class name", "photofolio"),
            "param_name" => "el_class",
            "description" => esc_html__("If you wish to style particular content photofolio differently, then use this field to add a class name and then refer to it in your css file.", "photofolio")
        )
    ),
    "js_view" => 'VcColumnView'
) );

if ( class_exists( 'WPBakeryShortCodesContainer' ) ) {
    class WPBakeryShortCode_qk_clients extends WPBakeryShortCodesContainer {
    }
}



vc_map( array(
   "name" => esc_html__("QK Client","photofolio"),
   "base" => "qk_client",
   "class" => "",
   "category" => esc_html__("Content", "photofolio"),
   "icon" => "icon-qk",
   "content_photofolio" => true,
   "as_child" => array('only' => 'qk_clients'),
   "params" => array(
   
      
     array(
         "type" => "attach_image",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Logo","photofolio"),
         "param_name" => "image",
         "value" => "",
         "description" => ''
      ),array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Custom Link","photofolio"),
         "param_name" => "link",
         "value" => "#",
         "description" => ''
      )
   )
) );


class WPBakeryShortCode_qk_client extends WPBakeryShortCode {
}

vc_map( array(
    "name" => esc_html__("QK Testimonials", "photofolio"),
    "base" => "qk_testimonials",
    "as_parent" => array('only' => 'qk_testimonial'), // Use only|except attributes to limit child shortcodes (separate multiple values with comma)
    "content_photofolio" => true,
    "show_settings_on_create" => false,
    "params" => array(
        // add params same as with any other content photofolio
        array(
            "type" => "textfield",
            "heading" => esc_html__("Extra class name", "photofolio"),
            "param_name" => "el_class",
            "description" => esc_html__("If you wish to style particular content photofolio differently, then use this field to add a class name and then refer to it in your css file.", "photofolio")
        )
    ),
    "js_view" => 'VcColumnView'
) );

if ( class_exists( 'WPBakeryShortCodesContainer' ) ) {
    class WPBakeryShortCode_qk_testimonials extends WPBakeryShortCodesContainer {
    }
}



vc_map( array(
   "name" => esc_html__("QK Testimonial","photofolio"),
   "base" => "qk_testimonial",
   "class" => "",
   "category" => esc_html__("Content", "photofolio"),
   "icon" => "icon-qk",
   "content_photofolio" => true,
   "as_child" => array('only' => 'qk_testimonials'),
   "params" => array(
   
      
     array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Name","photofolio"),
         "param_name" => "name",
         "value" => "",
         "description" => ''
      ),array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Job","photofolio"),
         "param_name" => "job",
         "value" => "",
         "description" => ''
      ),array(
         "type" => "textarea",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Content","photofolio"),
         "param_name" => "content",
         "value" => "",
         "description" => ''
      )
   )
) );


class WPBakeryShortCode_qk_testimonial extends WPBakeryShortCode {
}

vc_map( array(
    "name" => esc_html__("QK Slider", "photofolio"),
    "base" => "qk_slider",
    "as_parent" => array('only' => 'qk_slide'), // Use only|except attributes to limit child shortcodes (separate multiple values with comma)
    "content_photofolio" => true,
    "show_settings_on_create" => false,
    "params" => array(
        // add params same as with any other content photofolio
        array(
            "type" => "textfield",
            "heading" => esc_html__("Extra class name", "photofolio"),
            "param_name" => "el_class",
            "description" => esc_html__("If you wish to style particular content photofolio differently, then use this field to add a class name and then refer to it in your css file.", "photofolio")
        )
    ),
    "js_view" => 'VcColumnView'
) );

if ( class_exists( 'WPBakeryShortCodesContainer' ) ) {
    class WPBakeryShortCode_qk_slider extends WPBakeryShortCodesContainer {
    }
}


vc_map( array(
   "name" => esc_html__("QK Slide","photofolio"),
   "base" => "qk_slide",
   "class" => "",
   "category" => esc_html__("Content", "photofolio"),
   "icon" => "icon-qk",
   "content_photofolio" => true,
   "as_child" => array('only' => 'qk_slider'),
   "params" => array(
   
      
     array(
         "type" => "attach_image",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Slide background","photofolio"),
         "param_name" => "image",
         "value" => "",
         "description" => ''
      ),array(
         "type" => "textarea_html",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Content","photofolio"),
         "param_name" => "content",
         "value" => "",
         "description" => ''
      )
   )
) );


class WPBakeryShortCode_qk_slide extends WPBakeryShortCode {
}


vc_map( array(
    "name" => esc_html__("QK Carousel", "photofolio"),
    "base" => "qk_carousel",
    "as_parent" => array('only' => 'qk_member'), // Use only|except attributes to limit child shortcodes (separate multiple values with comma)
    "content_photofolio" => true,
    "show_settings_on_create" => false,
    "params" => array(
        // add params same as with any other content photofolio
        array(
            "type" => "textfield",
            "heading" => esc_html__("Number Of items each Carousel", "photofolio"),
            "param_name" => "number",
            "description" => ''
        )
    ),
    "js_view" => 'VcColumnView'
) );

if ( class_exists( 'WPBakeryShortCodesContainer' ) ) {
    class WPBakeryShortCode_qk_carousel extends WPBakeryShortCodesContainer {
    }
}



add_action( 'vc_before_init', 'forme_integrateWithVC' );
function forme_integrateWithVC(){
  if(function_exists('vc_map')){

vc_map( array(
   "name" => esc_html__("QK Price Table","photofolio"),
   "base" => "qk_pricing",
   "class" => "",
   "category" => esc_html__("Content", "photofolio"),
   "icon" => "icon-qk",
   "params" => array(
      array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Pricing Type","photofolio"),
         "param_name" => "type",
         "value" => "",
         "description" => 'Example "event"'
      ),
      array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Pricing Title","photofolio"),
         "param_name" => "title",
         "value" => "",
         "description" => 'Your Title'
      ), array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Price","photofolio"),
         "param_name" => "price",
         "value" => "",
         "description" => 'Example "$199"'
      ), array(
         "type" => "textarea_html",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Pricing Content","photofolio"),
         "param_name" => "content",
         "value" => "",
         "description" => 'Your Content'
      ),array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Pricing Button text","photofolio"),
         "param_name" => "button_text",
         "value" => "",
         "description" => ''
      ),array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Pricing Button link","photofolio"),
         "param_name" => "button_link",
         "value" => "",
         "description" => ''
      ),array(
        'type' => 'css_editor',
        'heading' => esc_html__( 'Css', 'photofolio' ),
        'param_name' => 'css',
        'group' => esc_html__( 'Design options', 'photofolio' ),
      )
   )
) );

}
}

class WPBakeryShortCode_qk_pricing extends WPBakeryShortCode {
}


vc_map( array(
   "name" => esc_html__("QK Gmap","photofolio"),
   "base" => "qk_gmap",
   "class" => "",
   "category" => esc_html__("Content", "photofolio"),
   "icon" => "icon-qk",
   "params" => array(
   
      
    array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Latitude","photofolio"),
         "param_name" => "lat",
         "value" => "",
         "description" => 'Example "-33.880641"'
      ),
    array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Longitude","photofolio"),
         "param_name" => "lon",
         "value" => "",
         "description" => 'Example "151.204298"'
      ),array(
         "type" => "attach_image",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Your Pin image","photofolio"),
         "param_name" => "image",
         "value" => "",
         "description" => ''
      ),array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Map Zoom Level","photofolio"),
         "param_name" => "zoom",
         "value" => "",
         "description" => 'Example "14"'
      ),array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("API KEY","photofolio"),
         "param_name" => "key",
         "value" => "",
         "description" => 'Your google map API key. You can go here to know how to get your key <a href="https://www.latecnosfera.com/2016/06/google-maps-api-error-missing-keymap-error-solved.html" target="_blank">Get Key</a> '
      ),array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Map Wrapper","photofolio"),
         "param_name" => "wrap",
         "value" => "",
         "description" => 'Example "map-holder"'
      )

   
   )
) );


class WPBakeryShortCode_qk_gmap extends WPBakeryShortCode {
}


  add_action( 'init', 'product_tax1', 999999 );
  function product_tax1()
  {
  $category_option = array();
   $category_option['All'] = 'all';
  if (class_exists('Woocommerce')) {
  $categories = get_terms('product_cat' , 'hide_empty=0');
  foreach ($categories as $category) {
  $category_option[$category->name] = $category->slug;
  }
  }

  vc_map( array(
     "name" => esc_html__("QK Products Carousel","photofolio"),
     "base" => "qk_products_carousel",
     "class" => "",
     "category" => esc_html__("Content", "photofolio"),
     "icon" => "icon-qk",
     "params" => array(
        array(
       "type" => "dropdown",
       "holder" => "div",
       "class" => "",
       "heading" => esc_html__("Select Category","photofolio"),
       "param_name" => "cat",
       "value" => $category_option,
       "description" => ''
      ),
       array(
           "type" => "textfield",
           "holder" => "div",
           "class" => "",
           "heading" => esc_html__("Order","photofolio"),
           "param_name" => "order",
           "value" => "6",
           "description" => ''
        )
     )
  ) );
}


class WPBakeryShortCode_qk_products_carousel extends WPBakeryShortCode {
}



    add_action( 'init', 'portfolio_tax1', 999999 );
    function portfolio_tax1()
    {
    $categories = get_terms('portfolio_category' , 'hide_empty=0');
    
    $category_option = array();
    $category_option['All'] = 'all';
    if ( is_plugin_active( 'qk-post_type/post_type.php' ) ) {
      if(!is_wp_error($categories)){
        foreach ($categories as $category) {

          $category_option[$category->name] = $category->slug;

          }
      }
    
  }

    $args = array(
    'posts_per_page'   => -1,
    'offset'           => 0,
    'category'         => '',
    'category_name'    => '',
    'orderby'          => 'post_title',
    'order'            => 'ASC',
    'include'          => '',
    'exclude'          => '',
    'meta_key'         => '',
    'meta_value'       => '',
    'post_type'        => 'page',
    'post_mime_type'   => '',
    'post_parent'      => '',
    'post_status'      => 'publish',
    'suppress_filters' => true 
  );
  $pages = get_posts( $args );
  $lists_page = array();
  foreach($pages as $p){
    $lists_page[$p->post_title] = $p->ID;
  }

    vc_map( array(
       "name" => esc_html__("QK Portfolio Grid","photofolio"),
       "base" => "qk_portfolio_grid",
       "class" => "",
       "category" => esc_html__("Content", "photofolio"),
       "icon" => "icon-qk",
       "params" => array(
          array(
         "type" => "dropdown",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Select Category","photofolio"),
         "param_name" => "cat",
         "value" => $category_option,
         "description" => ''
        ),
         array(
             "type" => "textfield",
             "holder" => "div",
             "class" => "",
             "heading" => esc_html__("Order","photofolio"),
             "param_name" => "order",
             "value" => "",
             "description" => 'Example "6"'
          ),array(
             "type" => "textfield",
             "holder" => "div",
             "class" => "",
             "heading" => esc_html__("Columns","photofolio"),
             "param_name" => "col",
             "value" => "",
             "description" => 'Example "2,3,4..."'
          ),array(
          "type" => "dropdown",
          "class" => "",
          "heading" => esc_html__("Turn On/Off Filter", 'photofolio'),
          "param_name" => "filter",
          "value" => array(
            
            "On" => "on",
            "Off" => "off"
          ),
          "description" => ''
        ),array(
             "type" => "textfield",
             "holder" => "div",
             "class" => "",
             "heading" => esc_html__("Custom Class","photofolio"),
             "param_name" => "ex_class",
             "value" => "",
             "description" => ''
          )
       )
    ) );

    class WPBakeryShortCode_qk_portfolio_grid extends WPBakeryShortCode {
  }

  vc_map( array(
       "name" => esc_html__("QK Portfolio Grid Text","photofolio"),
       "base" => "qk_portfolio_grid2",
       "class" => "",
       "category" => esc_html__("Content", "photofolio"),
       "icon" => "icon-qk",
       "params" => array(
          array(
         "type" => "dropdown",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Select Category","photofolio"),
         "param_name" => "cat",
         "value" => $category_option,
         "description" => ''
        ),
         array(
             "type" => "textfield",
             "holder" => "div",
             "class" => "",
             "heading" => esc_html__("Order","photofolio"),
             "param_name" => "order",
             "value" => "",
             "description" => 'Example "6"'
          ),array(
             "type" => "textfield",
             "holder" => "div",
             "class" => "",
             "heading" => esc_html__("Columns","photofolio"),
             "param_name" => "col",
             "value" => "",
             "description" => 'Example "2,3,4..."'
          )
       )
    ) );

    class WPBakeryShortCode_qk_portfolio_grid2 extends WPBakeryShortCode {
  }

  vc_map( array(
       "name" => esc_html__("QK Portfolio Carousel","photofolio"),
       "base" => "qk_portfolio_carousel",
       "class" => "",
       "category" => esc_html__("Content", "photofolio"),
       "icon" => "icon-qk",
       "params" => array(
          array(
         "type" => "dropdown",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Select Category","photofolio"),
         "param_name" => "cat",
         "value" => $category_option,
         "description" => ''
        ),
         array(
             "type" => "textfield",
             "holder" => "div",
             "class" => "",
             "heading" => esc_html__("Order","photofolio"),
             "param_name" => "order",
             "value" => "",
             "description" => 'Example "6"'
          )
       )
    ) );

    class WPBakeryShortCode_qk_portfolio_carousel extends WPBakeryShortCode {
  }

  vc_map( array(
       "name" => esc_html__("QK Portfolio Carousel2","photofolio"),
       "base" => "qk_portfolio_carousel2",
       "class" => "",
       "category" => esc_html__("Content", "photofolio"),
       "icon" => "icon-qk",
       "params" => array(
          array(
         "type" => "dropdown",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Select Category","photofolio"),
         "param_name" => "cat",
         "value" => $category_option,
         "description" => ''
        ),
         array(
             "type" => "textfield",
             "holder" => "div",
             "class" => "",
             "heading" => esc_html__("Order","photofolio"),
             "param_name" => "order",
             "value" => "",
             "description" => 'Example "6"'
          )
       )
    ) );

    class WPBakeryShortCode_qk_portfolio_carousel2 extends WPBakeryShortCode {
  }

    vc_map( array(
       "name" => esc_html__("QK Portfolio Carousel 3","photofolio"),
       "base" => "qk_portfolio_carousel3",
       "class" => "",
       "category" => esc_html__("Content", "photofolio"),
       "icon" => "icon-qk",
       "params" => array(
          array(
         "type" => "dropdown",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Select Category","photofolio"),
         "param_name" => "cat",
         "value" => $category_option,
         "description" => ''
        ),
         array(
             "type" => "textfield",
             "holder" => "div",
             "class" => "",
             "heading" => esc_html__("Order","photofolio"),
             "param_name" => "order",
             "value" => "",
             "description" => 'Example "6"'
          )
       )
    ) );

    class WPBakeryShortCode_qk_portfolio_carousel3 extends WPBakeryShortCode {
  }

   vc_map( array(
       "name" => esc_html__("QK Portfolio Gallery","photofolio"),
       "base" => "qk_portfolio_gallery",
       "class" => "",
       "category" => esc_html__("Content", "photofolio"),
       "icon" => "icon-qk",
       "params" => array(
          array(
         "type" => "dropdown",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Select Category","photofolio"),
         "param_name" => "cat",
         "value" => $category_option,
         "description" => ''
        ),
         array(
             "type" => "textfield",
             "holder" => "div",
             "class" => "",
             "heading" => esc_html__("Order","photofolio"),
             "param_name" => "order",
             "value" => "",
             "description" => 'Example "6"'
          )
       )
    ) );

    class WPBakeryShortCode_qk_portfolio_gallery extends WPBakeryShortCode {
  }

   vc_map( array(
       "name" => esc_html__("QK Portfolio Split","photofolio"),
       "base" => "qk_portfolio_split",
       "class" => "",
       "category" => esc_html__("Content", "photofolio"),
       "icon" => "icon-qk",
       "params" => array(
          array(
         "type" => "dropdown",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Select Category","photofolio"),
         "param_name" => "cat",
         "value" => $category_option,
         "description" => ''
        ),
         array(
             "type" => "textfield",
             "holder" => "div",
             "class" => "",
             "heading" => esc_html__("Order","photofolio"),
             "param_name" => "order",
             "value" => "",
             "description" => 'Example "6"'
          )
       )
    ) );

    class WPBakeryShortCode_qk_portfolio_split extends WPBakeryShortCode {
  }
   vc_map( array(
       "name" => esc_html__("QK Portfolio Float","photofolio"),
       "base" => "qk_portfolio_float",
       "class" => "",
       "category" => esc_html__("Content", "photofolio"),
       "icon" => "icon-qk",
       "params" => array(
          array(
         "type" => "dropdown",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Select Category","photofolio"),
         "param_name" => "cat",
         "value" => $category_option,
         "description" => ''
        ),
         array(
             "type" => "textfield",
             "holder" => "div",
             "class" => "",
             "heading" => esc_html__("Order","photofolio"),
             "param_name" => "order",
             "value" => "",
             "description" => 'Example "6"'
          )
       )
    ) );

    class WPBakeryShortCode_qk_portfolio_float extends WPBakeryShortCode {
  }


  }

  
  
?>