<?php 
if ( ! defined( 'ABSPATH' ) ) {
  die( '-1' );
}

/**
 * Shortcode attributes
 * @var $atts
 * @var $order
 * @var $orderby
 * @var $cat
 * @var $col
 * @var $thumbsize
 * @var $content - shortcode content
 * Shortcode class
 * @var $this WPBakeryShortCode_qk_team
 */
$order =  $cat =  $thumbsize = $orderby = '';

$output = $after_output = '';
$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );
wp_enqueue_script("mousewheel", get_template_directory_uri()."/js/jquery.mousewheel.js",array('jquery'),false,true);
if(isset($cat) and $cat!='all'){
	$args = array('post_type' => 'portfolio', 'posts_per_page' => $order, 'tax_query' => array(
	array(
		'taxonomy' => 'portfolio_category',
		'field'    => 'slug',
		'terms'    => $cat,
	),
));
}else{
	$args = array('post_type' => 'portfolio', 'posts_per_page' => $order);
}	
$portfolio = new WP_Query($args);
?>


<div class="scroller-posts-line second-style">
	<div class="inner-scroller">
		<?php  while($portfolio->have_posts()) : $portfolio->the_post(); ?>
			<?php $width = get_post_meta(get_the_ID(), '_photofolio_width', true); ?>
		<div class="item project-post <?php echo esc_attr($width);?>">
			<div class="post-gallery">
				<?php the_post_thumbnail($thumbsize); ?>
				<?php if( function_exists('get_simple_likes_button') ) echo get_simple_likes_button(get_the_ID());?>
			</div>
			<div class="title-post">
				<h2><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
				<?php echo get_the_term_list( get_the_ID(), 'portfolio_tag', '<ul class="project-tags"><li>', ',</li><li>', '</li></ul>' );?>
			</div>
		</div>
		<?php endwhile; ?>
	</div>

</div>



