<?php 
if ( ! defined( 'ABSPATH' ) ) {
  die( '-1' );
}

/**
 * Shortcode attributes
 * @var $atts
 * @var $order
 * @var $orderby
 * @var $cat
 * @var $col
 * @var $thumbsize
 * @var $content - shortcode content
 * Shortcode class
 * @var $this WPBakeryShortCode_qk_team
 */
$order =  $cat =  $thumbsize = $orderby = '';

$output = $after_output = '';
$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );
wp_enqueue_style( 'bxslider', get_template_directory_uri().'/css/jquery.bxslider.css');
wp_enqueue_script("bxslider", get_template_directory_uri()."/js/jquery.bxslider.min.js",array('jquery'),false,true);
if(isset($cat) and $cat!='all'){
	$args = array('post_type' => 'portfolio', 'posts_per_page' => $order, 'tax_query' => array(
	array(
		'taxonomy' => 'portfolio_category',
		'field'    => 'slug',
		'terms'    => $cat,
	),
));
}else{
	$args = array('post_type' => 'portfolio', 'posts_per_page' => $order);
}	
$portfolio = new WP_Query($args);
?>

<!-- gallery section -->
<section class="gallery-section">
	
		<div class="slider-hold">
			<div class="in-slider">
				<ul class="gallery-bxslider">
					<?php  while($portfolio->have_posts()) : $portfolio->the_post(); ?>
						<li>
							<div class="item project-post">
								<div class="post-gallery">
									<?php the_post_thumbnail($thumbsize); ?>
									<?php if( function_exists('get_simple_likes_button') ) echo get_simple_likes_button(get_the_ID());?>
								</div>
								<div class="title-post">
									<h2><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
									<?php echo get_the_term_list( get_the_ID(), 'portfolio_tag', '<ul class="project-tags"><li>', ',</li><li>', '</li></ul>' );?>
								</div>
							</div>
						</li>
					<?php endwhile; ?>
					
				</ul>

				<div id="bx-pager">
					<?php  $i=0; while($portfolio->have_posts()) : $portfolio->the_post(); ?>
					<a data-slide-index="<?php echo esc_attr($i); ?>" href=""><?php the_post_thumbnail('thumbnail');?></a>
					<?php $i++; endwhile; ?>
				</div>
			</div>
		</div>
	
</section>
<!-- End gallery section -->