<?php
if ( ! defined( 'ABSPATH' ) ) {
	die( '-1' );
}

/**
 * Shortcode attributes
 * @var $atts
 * @var $title
 * @var $type
 * @var $price
 * @var $align
 * @var $classs
 * @var $css
 * @var $button_text
 * @var $button_link
 * @var $content - shortcode content
 * Shortcode class
 * @var $this WPBakeryShortCode_qk_pricing
 */
$title = $type = $css = $align  = $price = $classs = $button_link = $button_text ='';
$output = $after_output = '';
$class[] = vc_shortcode_custom_css_class( $css );
$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );


?>

<div class="package-item <?php echo esc_attr($classs); ?> <?php echo vc_shortcode_custom_css_class( $css ); ?>">
	<?php if($type!=''){ ?>
	<span><?php echo esc_html($type); ?></span>
	<?php } ?>
	<?php if($title!=''){ ?>
	<h2><?php echo esc_html($title); ?></h2>
	<?php } ?>
	<?php if($price!=''){ ?>
	<h3><?php echo esc_html($price); ?></h3>
	<?php } ?>
	<?php echo do_shortcode($content) ?>
	<a href="<?php echo esc_url($button_link); ?>"><span><?php echo esc_html($button_text); ?></span></a>
</div>



