<?php 
if ( ! defined( 'ABSPATH' ) ) {
  die( '-1' );
}

/**
 * Shortcode attributes
 * @var $atts
 * @var $title
 * @var $image
 * @var $number
 * @var $link
 * @var $icon
 * @var $content - shortcode content
 * Shortcode class
 * @var $this WPBakeryShortCode_qk_team
 */
$number =  $link = $icon = $title = $thumb = $thumbsize = $pagination = $class = '';
$output = $after_output = '';
$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );


?>

<div class="services-post">

	<?php
		$img = wp_get_attachment_image_src($image,'full');
		$img = $img[0];
	?>
	<?php if($img!=''){ ?>
	<img src="<?php echo esc_attr($img); ?>" alt="client" >
	<div class="hover-box">
	<?php } ?>
	<?php if($icon!=''){ ?> <a href="<?php echo esc_url($link); ?>"><i class="fa <?php echo esc_attr($icon); ?>"></i></a> <?php } ?>
	<h2><?php if($link!=''){ ?><a href="<?php echo esc_url($link); ?>"><?php } ?><?php if($number!=''){ ?><span><?php echo esc_html($number); ?>/</span><?php } ?> <?php echo do_shortcode($title); ?><?php if($link!=''){ ?></a><?php } ?></h2>
	<?php echo do_shortcode($content); ?>
	<?php if($img!=''){ ?>
		</div>
	<?php } ?>
</div>
