<?php 
	$custom  = photofolio_custom();
	$header_style = $custom['header_style'];
	$header_options = get_post_meta($wp_query->post->ID, '_photofolio_header_style', true);
	if($header_options=='vertical'){
		$header_style = 'vertical';
	}
?>
<?php get_header($header_style);?>

			<!-- page-title section -->
			<section class="page-title-section">
				<div class="container">
					<?php woocommerce_breadcrumb(); ?>
					<h1><?php woocommerce_page_title(); ?></h1>
				</div>
			</section>
			<!-- End page-title section -->

			
			<?php if ( is_singular( 'product' ) ) { ?>
				<section class="single-product-section">
					<div class="container">
					<?php woocommerce_content();?>
					</div>
				</section>
				<?php }else{ ?>
					<!-- shop section -->
			<section class="shop-banner-section">
				<h1>Welcome to our shop</h1>
			</section>
			<!-- End shop section -->
			<!-- shop section -->
			<section class="shop-section with-sidebar">
				<div class="container">
					<div class="shop-services">
						<span>Free shipping worldwide</span>
						<span>Money Back Guarantee</span>
						<span>24/7 Online Support</span>
					</div>
					<div class="row">
						<div class="col-md-9">
							
								<?php
										
										   //For ANY product archive.
										   //Product taxonomy, product search or /shop landing
											woocommerce_get_template( 'archive-product.php' );
										  
									?>
							
						</div>
						<div class="col-md-3">

							
							<?php get_sidebar('shop'); ?>
						</div>
					</div>
				</div>
			</section>
			<!-- End shop section -->
			<?php } ?>
<?php get_footer($header_style); ?>