<?php 
if ( ! defined( 'ABSPATH' ) ) {
  die( '-1' );
}

/**
 * Shortcode attributes
 * @var $atts
 * @var $title
 * @var $image
 * @var $image2
 * @var $info
 * @var $content - shortcode content
 * Shortcode class
 * @var $this WPBakeryShortCode_qk_team
 */
$image =  $image2 = $offset = $infor = $subtitle = $thumb = $thumbsize = $pagination = $class = '';
$output = $after_output = '';
$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );


?>


<!-- about-me section -->
<section class="about-me-section">
    <div class="container-fluid">
        <div class="about-me-box">

            <div class="my-identity">
                <?php
                $img = wp_get_attachment_image_src($image,'full');
                $img = $img[0];
              ?>
              <?php if($img!=''){ ?>
            <img src="<?php echo esc_attr($img); ?>" alt="banner" />
            <?php } ?>
                <div class="hover-about">
                     <?php if($title!=''){ ?>
                    <h1><?php echo esc_html($title); ?></h1>
                    <?php } ?>
                    <?php
                $img = wp_get_attachment_image_src($image2,'full');
                $img = $img[0];
              ?>
               <?php if($img!=''){ ?>
            <img src="<?php echo esc_attr($img); ?>" alt="sign" /> <?php } ?>
                </div>
            </div>

            <div class="personal-info">
                <?php echo wpb_js_remove_wpautop($info); ?>
                <div class="skills-box">
                    <div class="row">
                <?php echo wpb_js_remove_wpautop($content); ?>
                </div></div>
            </div>

        </div>
    </div>
</section>
<!-- End about-me section -->



