<?php
if ( ! defined( 'ABSPATH' ) ) {
	die( '-1' );
}

/**
 * Shortcode attributes
 * @var $atts
 * @var $title
 * @var $sub_title
 * @var $link
 * @var $align
 * @var $css
 * @var $content - shortcode content
 * Shortcode class
 * @var $this WPBakeryShortCode_qk_title
 */
$title = $sub_title = $css = $align = '';
$output = $after_output = '';
$class[] = vc_shortcode_custom_css_class( $css );
$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );


?>

<div class="title-section <?php echo esc_attr($css); ?>">
	<?php if($sub_title!=''){ ?>
	<span><?php echo esc_html($sub_title); ?></span>
	<?php } ?>
	<h1><?php echo esc_html($title); ?></h1>
</div>
